/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package es.uca.takuan.netbeans.wizard;

import javax.swing.JPanel;
import org.openide.util.NbBundle;

public final class BpelVisualPanel7 extends JPanel {

    /** Creates new form BpelVisualPanel2 */
    public BpelVisualPanel7() {
        initComponents();
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(BpelVisualPanel2.class, "WIZARD_SERVLET_TITLE");
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        lblDescription = new javax.swing.JLabel();
        panelURI = new javax.swing.JPanel();
        txtTakuanServletURI = new javax.swing.JTextField();
        lblUrl = new javax.swing.JLabel();

        lblDescription.setFont(new java.awt.Font("Dialog", 0, 12));
        org.openide.awt.Mnemonics.setLocalizedText(lblDescription, org.openide.util.NbBundle.getMessage(BpelVisualPanel7.class, "WIZARD_SERVLET_DESCRIPTION")); // NOI18N
        lblDescription.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        panelURI.setBorder(javax.swing.BorderFactory.createTitledBorder("Takuan Servlet URI"));

        txtTakuanServletURI.setText("http://localhost:8080/takuan/");

        org.jdesktop.layout.GroupLayout panelURILayout = new org.jdesktop.layout.GroupLayout(panelURI);
        panelURI.setLayout(panelURILayout);
        panelURILayout.setHorizontalGroup(
            panelURILayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(txtTakuanServletURI, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 391, Short.MAX_VALUE)
        );
        panelURILayout.setVerticalGroup(
            panelURILayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelURILayout.createSequentialGroup()
                .add(txtTakuanServletURI, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(15, Short.MAX_VALUE))
        );

        lblUrl.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblUrl.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        org.openide.awt.Mnemonics.setLocalizedText(lblUrl, "<html>\n<b>Takuan website: <a href=\"http://neptuno.uca.es/~takuan\">http://neptuno.uca.es/~takuan</a></b>\n</html>");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, lblUrl, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)
                    .add(lblDescription, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, panelURI, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(lblDescription, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelURI, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(47, 47, 47)
                .add(lblUrl)
                .addContainerGap(96, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel lblDescription;
    private javax.swing.JLabel lblUrl;
    private javax.swing.JPanel panelURI;
    public javax.swing.JTextField txtTakuanServletURI;
    // End of variables declaration//GEN-END:variables
}

